#version 120
uniform vec2 middle;
varying vec3 vMyColor;


void main()
{
  if(distance(middle, vec2(gl_FragCoord.x, gl_FragCoord.y)) < 20)
  {
          discard;
  }
  else
  {
    float light = ((distance(middle, vec2(gl_FragCoord.x, gl_FragCoord.y))- 20.0)/200.0);
    gl_FragColor = vec4(light+vMyColor.r, light+vMyColor.g, light+vMyColor.b, 1.0);
  }
}
